curl --request GET \
--url https://api.qovery.com/project/{projectId}/deploymentRule/{deploymentRuleId} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "project-rule",
"mode": "PRODUCTION",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezone": "UTC",
"start_time": "1970-01-01T08:00:00.000Z",
"stop_time": "1970-01-01T19:00:00.000Z",
"weekdays": [
"MONDAY"
],
"wildcard": "",
"updated_at": "2023-11-07T05:31:56Z",
"description": "description project rule",
"auto_stop": false,
"priority_index": 123
}Get a project deployment rule
curl --request GET \
--url https://api.qovery.com/project/{projectId}/deploymentRule/{deploymentRuleId} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "project-rule",
"mode": "PRODUCTION",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezone": "UTC",
"start_time": "1970-01-01T08:00:00.000Z",
"stop_time": "1970-01-01T19:00:00.000Z",
"weekdays": [
"MONDAY"
],
"wildcard": "",
"updated_at": "2023-11-07T05:31:56Z",
"description": "description project rule",
"auto_stop": false,
"priority_index": 123
}Documentation Index
Fetch the complete documentation index at: https://qovery-update-mcp-query.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Project ID
Deployment Rule ID
Get project deployment rule
name is case insensitive
"project-rule"
DEVELOPMENT, PREVIEW, PRODUCTION, STAGING "PRODUCTION"
"UTC"
"1970-01-01T08:00:00.000Z"
"1970-01-01T19:00:00.000Z"
MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY wildcard pattern composed of '?' and/or '*' used to target new created environments
"description project rule"
used to select the first deployment rule to match new created environments
Was this page helpful?